Skip to main content
GET
/
billing
/
dashboard
/
over-time
Get Payments Over Time
curl --request GET \
  --url https://api.decodahealth.com/billing/dashboard/over-time \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/billing/dashboard/over-time"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/billing/dashboard/over-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "weekLabel": "<string>",
    "chargeStatus": "<string>",
    "totalAmount": 123,
    "count": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

page
integer | null
default:1
per_page
integer | null
default:10
sort_by
string | null
sort_direction
enum<string> | null
Available options:
asc,
desc
location_id
string | null
start_date
string
required
end_date
string
required
location_ids
string[] | null
payment_mediums
string[] | null
tz
string
required
limit
integer | null
default:5

Response

Successful Response

weekLabel
string
required
chargeStatus
string
required
totalAmount
number
required
count
integer
required